<?php

declare(strict_types=1);

namespace Builder\Core\Http\Requests\Auth;

use Illuminate\Foundation\Http\FormRequest;

final class InviteRequest extends FormRequest
{
    /** @return array<string, list<string>> */
    public function rules(): array
    {
        return [
            'email' => ['required', 'email'],
            'password' => ['required', 'string', 'min:8', 'confirmed'],
            'password_confirmation' => ['required', 'string'],
        ];
    }
}
